Subject: Re: Why XML is perferable: manipulating and presentation

From: "Wang Xianzhu" <[email-masked]>
Date: Sat, 24 Feb 2001 10:02:30 +0800

> I was wondering if you could tell me something. What would the output of the
> p.861 document look like if it were converted from XML to ASCII?

I think the process of documents should have two phases:

1. write, store, transfer, update, manage... , manipulating based on the 
logical contents.
2. read, some presentation on devices to make people comprehend.

We read a document on different devices, with different limitations, and
we see different presentation of the documents, but all kinds of the 
presentations are based on the contents of the documents.  Too make 
presentation more effective, we should define a format to write and store 
the documents. If the format is defined to be enough good (such as a 
well-defined XML DTD for RFCs), the documents encoded in this 
format can be easily converted into different kinds of presentation, 
to meet the requirements of different people and devices.  The process 
of convertation can be transparent to the readers.  For example, if the 
XML DTD and style sheets are defined by IETF, we can get .txt, 
.ps, .pdf, .html,... RFCs directly from ietf web and FTP site, while the
authors only compose them according to the defined XML DTD, not
caring about the presentation.

However, certain devices (e.g. pure text readers) still have some 
limitations on presentation.  For P.861, it seems no way to present it in 
pure text format to make people clearly comprehend.  This just 
proves my opinion: pure text is not suitable for manipulating documents.

Additionally, a goot format of documents greatly ease the work to manipulate
the documents.  

I believe that RFCs have a internal format.  Documents in this format
are without the page numbers, headers and footers.  This format is for 
manipulating.  The format we see in the published RFCs is only for
reading.  Why don't we switch this internal format to XML?

My advice is to: manipulate RFCs in XML/SGML (by carefully 
defining a DTD), and automaticlly publish them in every kind 
of presentation (by defining different style sheets).  This does not 
conflict with current situation: txt lovers can still get txt RFCs 
from the same location, while others can get html, ps, pdf,... RFCs.

I hated ITU, but because now I can get ITU documents freely, 
I don't hate it any more.

Regards,
Wang Xianzhu
RUNWAY Technology
Beijing, China
(This is my last augument about XML.)

> 
> -----Original Message-----
> From: Wang Xianzhu [mailto:[email-masked]]
> Sent: Friday, February 23, 2001 4:13 AM
> To: [email-masked]
> Subject: Why XML is perferable
> 
> 
> > to render XML documents to pure text presentation.  There will be
> >                                                             ^^^^^^^
> > > converters from XML to HTML, ms word, ps, pdf and any other types of
> > > presentation, suitable for any type of readers.
> > 
> > Meanwhile I stick with ASCII, which I can grep, cut & paste.
> > 
> 1. You can easily get a very well-formed ASCII file from a XML file.
> 2. With XML, you can not only grep, cut & paste, but also manage and process
> it.
> 
> For example, I can grep XML files for whose level 2 headings containing 
> the string 'file transfer protocol'.  But for ASCII files, this is
> impossible, because 
> 1) the computer program does not know where are level 2 headings
> 2) the string may be split into two lines, grep fails in this situation.
> 
> > Also I don't think it will be at all practical to drive email
> > discussions
> > for ietf drafts if we have to start using XML/HTML/SGML/*ML crap.
> >  
> > > BTW, there are RFCs (1125, 1129, etc.) only available in ps format, and
> some
> > > provided both text and ps versions.  ASCII text is not enough to
> describe
> > > information.
> > 
> > Well it worked fine for 2800+ documents and how many today ?
> 3060+ today, with many ugly figures in '-', '_', 'o', '/', '\' chars, which
> is very difficult to read.  In XML, you can even search for figures if 
> we develop unified Internet/flowchart/etc DTDs.
> 
> > implementations
> > of tcp/ip protocols running on how many devices ?
> > 
> > > I wonder if anyone can write a readable pure text version of ITU-T
> P.861.
> > 
> > What P.861 {Objective quality measurement of telephone-band (300-3400 Hz) 
> > speech codecs} has to do with tcp/ip and rfc's ???
> > 
> Yes, their content of P.861 seems have nothing to do with RFCs.  
> P.861 is an informational document, like any RFCs.  If a RFC face a 
> similar problem like P.861, I wonder how it can describe it clearly in 
> pure text.
> 
> XML provides a way to describe information in documents, and can be 
> easily converted to different types of target formats, such as pure text,
> pdf, HTML, etc.   Again: XML is not for display.
> 
> > BTW, I hate to pay for ITU documents what are supposed to be public (I
> > still
> > remember the years old discussion when they ceased to exist available
> > for anon ftp)
> 
> I hate ITU too. :)
> 
> > 
> > Regards
> > Jorge.
> > 
> > 
> Regards,
> Wang Xianzhu
> 
>

---

From: Carl Malamud <[email-masked]>
Date: Sat, 24 Feb 2001 16:58:34 -0500 (EST)

> I hated ITU, but because now I can get ITU documents freely,

Well, I've never hated the ITU, though I'm not sure the feeling is mutual.
I consider myself a long-term friend of this august organization and have
even served in the voluntary Friends of the ITU Auxiliary Standards Corps
Organization.

If you register on the ITU site, you can get up to 3 documents free, but you
may not redistribute those documents (except as printed copies within the
physical confines of your premises).  After your three free documents, you
pay on a retail basis.  This is certainly a step in the right direction,
though I'd be happier with n=3000 than n=3.

An interesting contrasting policy is the U.S. Patent Office where you can
get many documents free, and then pay for the full images.  However, once
you've covered their "incremental costs", you are free to redistribute those
documents at will.  Of course, bulk access to the USPTO database is not
yet available and it appears that this bulk service will be provided by
outside parties.

Even more interesting contrasts are the IETF and the U.S. SEC where you
can obtain all documents for free and redistribute at will.

> I don't hate it any more.

Hate is not very productive, though long-term bewilderment seems to be 
near universal in this case.

Regards,

Carl